API-DOCUMENTATIE
Integreer Gender-API in je applicatie met onze eenvoudige en krachtige RESTful API. Start binnen enkele minuten.
Unified API (v2.0) GEVORDERD
Als je een geavanceerde gebruiker bent met een hoog aantal verzoeken, kun je ook overstappen op ons nieuwe API V2.0-endpoint. De Unified API is veel sneller en biedt een robuustere interface bij het opvragen van meerdere namen in één verzoek, maar is iets complexer om te implementeren.
Bekijk Unified API v2.0🚀 API‑tools
Verken onze API met tools die in de sector standaard zijn
EENVOUDIG GEBRUIK
Dit is de eenvoudigste manier om een geslachtsbepaling aan te vragen. Elke respons is JSON-gecodeerd:
Verzoek
GET https://gender-api.com/get?name=Elizabeth&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Naam om op te zoeken |
key |
String | Je API-sleutel |
Respons
{"name":"diana","name_sanitized":"Diana","gender":"female","samples":523,"accuracy":93,"duration":"41ms","credits_used":1}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Ingevoerde naam in kleine letters |
name_sanitized |
String | De naam nadat we onze normalisator erop hebben toegepast |
gender |
String | Mogelijke waarden: male, female, unknown |
samples |
Integer | Aantal records in onze database dat overeenkomt met je verzoek |
accuracy |
Integer | Deze waarde bepaalt de betrouwbaarheid van onze database. Een waarde van 100 betekent dat de resultaten van je geslachtsverzoek 100% nauwkeurig zijn |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
LOKALISATIE
Maak je verzoek nauwkeuriger door je query te lokaliseren:
Verzoek
GET https://gender-api.com/get?name=Andrea&country=IT&key=<jouw API-sleutel>
Verzoek
GET https://gender-api.com/get?name=Andrea&country=DE&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Naam om op te zoeken |
country |
String | ISO 3166 ALPHA-2-landcode |
key |
String | Je API-sleutel |
Respons
//In Italy, Andrea is male.
{"name":"andrea","name_sanitized":"Andrea","country":"IT","gender":"male","samples":1068,"accuracy":95,"duration":"15ms","credits_used":1}
Respons
//In Germany, Andrea is female.
{"name":"andrea","name_sanitized":"Andrea","country":"DE","gender":"female","samples":4089,"accuracy":85,"duration":"33ms","credits_used":1}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Ingevoerde naam in kleine letters |
name_sanitized |
String | De naam nadat we onze normalisator erop hebben toegepast |
country |
String | Ingediende landcode |
gender |
String | Mogelijke waarden: male, female, unknown |
samples |
Integer | Aantal records in onze database dat overeenkomt met je verzoek |
accuracy |
Integer | Deze waarde bepaalt de betrouwbaarheid van onze database. Een waarde van 100 betekent dat de resultaten van je geslachtsverzoek 100% nauwkeurig zijn |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
Geldige landcodes:
LOKALISATIE - LAND VIA IP
Kies het land van je klant op basis van hun IP-adres:
Verzoek
GET https://gender-api.com/get?name=john&ip=54.201.16.177&key=<jouw API-sleutel>
Verzoek
GET https://gender-api.com/get?name=tanja&ip=178.27.177.23&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Naam om op te zoeken |
ip |
String | Geldig IP-adres |
key |
String | Je API-sleutel |
Respons
{"name":"john","name_sanitized":"John","country":"US","gender":"male","samples":9991,"accuracy":99,"duration":"44ms","credits_used":1}
Respons
{"name":"tanja","name_sanitized":"Tanja","country":"DE","gender":"female","samples":143,"accuracy":97,"duration":"508ms","credits_used":1}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Ingevoerde naam in kleine letters |
name_sanitized |
String | De naam nadat we onze normalisator erop hebben toegepast |
country |
String | Ingediende landcode |
gender |
String | Mogelijke waarden: male, female, unknown |
samples |
Integer | Aantal records in onze database dat overeenkomt met je verzoek |
accuracy |
Integer | Deze waarde bepaalt de betrouwbaarheid van onze database. Een waarde van 100 betekent dat de resultaten van je geslachtsverzoek 100% nauwkeurig zijn |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
Gender-API.com bevat GeoLite2-gegevens gemaakt door MaxMind, beschikbaar via http://www.maxmind.com.
LOKALISATIE - LAND OP BASIS VAN BROWSERTAAL / LOCALE
Kies het land van je klant op basis van de locale van hun browser:
Verzoek
GET https://gender-api.com/get?name=john&locale=en_US&key=<jouw API-sleutel>
Verzoek
GET https://gender-api.com/get?name=tanja&locale=de_DE&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Naam om op te zoeken |
locale |
String | Browser locale |
key |
String | Je API-sleutel |
Respons
{"name":"john","name_sanitized":"John","country":"US","gender":"male","samples":991,"accuracy":99,"duration":"47ms","credits_used":1}
Respons
{"name":"tanja","name_sanitized":"Tanja","country":"DE","gender":"female","samples":143,"accuracy":97,"duration":"99ms","credits_used":1}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Ingevoerde naam in kleine letters |
name_sanitized |
String | De naam nadat we onze normalisator erop hebben toegepast |
country |
String | Ingediende landcode |
gender |
String | Mogelijke waarden: male, female, unknown |
samples |
Integer | Aantal records in onze database dat overeenkomt met je verzoek |
accuracy |
Integer | Deze waarde bepaalt de betrouwbaarheid van onze database. Een waarde van 100 betekent dat de resultaten van je geslachtsverzoek 100% nauwkeurig zijn |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
MEERDERE NAMEN OPZOEKEN
Soms is het nodig om meerdere namen met één query op te halen:
Verzoek
GET https://gender-api.com/get?name=lisa;jess;thomas&multi=true&key=<jouw API-sleutel>
Verzoek
GET https://gender-api.com/get?name=anna;jack;stephen&country=DE;US;CA&multi=true&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Lijst met namen om op te zoeken, gescheiden door puntkomma's |
country |
String | Lijst met landcodes gescheiden door puntkomma's. De landcodes moeten in dezelfde volgorde als de namen zijn. Als er slechts één landcode wordt verstrekt, wordt deze code voor alle namen gebruikt. |
multi |
Boolean (true|false) | Geeft de API de opdracht om het resultaat als een array terug te geven |
key |
String | Je API-sleutel |
Respons
{"name":"lisa;jess;thomas","result":[
{"name":"lisa","name_sanitized":"Lisa","country":"","gender":"female","samples":806,"accuracy":98},
{"name":"jess","name_sanitized":"Jess","country":"","gender":"female","samples":28,"accuracy":75},
{"name":"thomas","name_sanitized":"Thomas","country":"","gender":"male","samples":2239,"accuracy":99}],
"country":"","duration":"425ms","credits_used":3}
Respons
{"name":"anna;jack;stephen","result":[
{"name":"anna","name_sanitized":"Anna","country":"DE","gender":"female","samples":1245,"accuracy":98},
{"name":"jack","name_sanitized":"Jack","country":"US","gender":"male","samples":667,"accuracy":90},
{"name":"stephen","name_sanitized":"Stephen","country":"CA","gender":"male","samples":77,"accuracy":82}],
"country":"DE;US;CA","duration":"668ms","credits_used":3}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Ingestuurde namen in kleine letters. Het maximale aantal namen is beperkt tot 100. |
result |
Array | Zie de respons onder "Eenvoudig gebruik" |
country |
String | Ingestuurde lijst van landcodes |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
E-MAILADRES
Je kunt het geslacht ook opvragen met een e-mailadres waarin een voornaam staat:
Verzoek
GET https://gender-api.com/get?email=markus.johnson@gmail.com&key=<jouw API-sleutel>
Verzoek
GET https://gender-api.com/get?email=jack.meyer@gmail.com&country=US&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Naam om op te zoeken |
email |
String | Email address |
key |
String | Je API-sleutel |
Respons
{"email":"markus.johnson@gmail.com","last_name":"Johnson","first_name":"Markus","mail_provider":"gmail","name":"markus","name_sanitized":"Markus","country":"","gender":"male","samples":150,"accuracy":99,"duration":"669ms","credits_used":1}
Respons
{"email":"jack.meyer@gmail.com","last_name":"Meyer","first_name":"Jack","mail_provider":"gmail","name":"jack","name_sanitized":"Jack","country":"US","gender":"male","samples":667,"accuracy":90,"duration":"1011ms","credits_used":1}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
email |
String | Het ingediende e-mailadres |
last_name |
String | De gevonden achternaam |
first_name |
String | De gevonden voornaam |
mail_provider |
String | Naam van de e-mailprovider |
name |
String | Voornaam gevonden in kleine letters |
name_sanitized |
String | De naam nadat we onze normalisator erop hebben toegepast |
country |
String | Ingediende landcode |
gender |
String | Mogelijke waarden: male, female, unknown |
samples |
Integer | Aantal records in onze database dat overeenkomt met je verzoek |
accuracy |
Integer | Deze waarde bepaalt de betrouwbaarheid van onze database. Een waarde van 100 betekent dat de resultaten van je geslachtsverzoek 100% nauwkeurig zijn |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
VOORNAAM EN ACHTERNAAM SPLITSEN
Als je een gecombineerd veld gebruikt voor voornaam en achternaam op je pagina, gebruik dan deze API om de delen te extraheren:
Verzoek
GET https://gender-api.com/get?split=theresa%20miller&key=<jouw API-sleutel>
Verzoek
GET https://gender-api.com/get?split=tim%20johnson&country=US&key=<jouw API-sleutel>
Verzoek
GET https://gender-api.com/get?split=markus%20stefan%20nonExistingLastName&strict=true&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
split |
String | Volledige naam |
country |
String | ISO 3166 ALPHA-2-landcode |
strict |
Boolean (true|false) | Als de strikte modus is ingeschakeld, retourneren we null in het veld last_name wanneer de achternaam niet in onze database te vinden is. Als de strikte modus is uitgeschakeld, proberen we de achternaam alsnog te bepalen, ook als die niet in onze database staat |
key |
String | Je API-sleutel |
Respons
{"last_name":"Miller","first_name":"Theresa","strict":false,"name":"theresa","name_sanitized":"Theresa","country":"","gender":"female","samples":70,"accuracy":74,"duration":"56ms","credits_used":1}
Respons
{"last_name":"Johnson","first_name":"Tim","strict":false,"name":"tim","name_sanitized":"Tim","country":"US","gender":"male","samples":7,"accuracy":100,"duration":"58ms","credits_used":1}
Respons
{"last_name":"","first_name":"Markus Stefan","strict":true,"name":"markus","name_sanitized":"Markus","country":"","gender":"male","samples":150,"accuracy":99,"duration":"85ms","credits_used":1}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
last_name |
String | De gevonden achternaam |
first_name |
String | De gevonden voornaam |
strict |
Boolean | true als de strikte modus is ingeschakeld |
name |
String | Voornaam gevonden in kleine letters |
name_sanitized |
String | De naam nadat we onze normalisator erop hebben toegepast |
country |
String | Ingediende landcode |
gender |
String | Mogelijke waarden: male, female, unknown |
samples |
Integer | Aantal records in onze database dat overeenkomt met je verzoek |
accuracy |
Integer | Deze waarde bepaalt de betrouwbaarheid van onze database. Een waarde van 100 betekent dat de resultaten van je geslachtsverzoek 100% nauwkeurig zijn |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
Geef aan dat je klanten hun namen invoeren in het formaat "Voornaam, Achternaam", wat onze reactie nauwkeuriger maakt.
STATISTIEKEN OPHALEN
Met deze aanroep kun je een aantal statistieken over je account ophalen:
Verzoek
GET https://gender-api.com/get-stats?&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
key |
String | Je API-sleutel |
Respons
{"key":"yourkey","is_limit_reached":false,"remaining_requests":43566,"amount_month_start":90000,"amount_month_bought":100000,"duration":"37ms"}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
key |
String | Je API-sleutel |
is_limit_reached |
Boolean | Geeft true terug als er geen verzoeken meer over zijn |
remaining_requests |
Integer | Telt de resterende verzoeken |
amount_month_start |
Integer | Verzoeken aan het begin van de maand |
amount_month_bought |
Integer | Verzoeken die deze maand zijn gekocht |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
Land van herkomst ophalen
Vraag het land van herkomst van een voornaam op:
Verzoek
GET https://gender-api.com/get-country-of-origin?name=Markus&key=<jouw API-sleutel>
Verzoekparameters
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Naam om op te zoeken |
key |
String | Je API-sleutel |
Respons
{
"name": "markus",
"country_of_origin": [
{
"countryName": "Finland",
"country": "FI",
"probability": 0.74,
"continentalRegion": "Europe",
"statisticalRegion": "Northern Europe"
},
{
"countryName": "Sweden",
"country": "SE",
"probability": 0.22,
"continentalRegion": "Europe",
"statisticalRegion": "Northern Europe"
},
{
"countryName": "Other",
"country": "--",
"probability": 0.04
}
],
"name_sanitized": "Markus",
"gender": "male",
"samples": 150,
"accuracy": 99,
"country_of_origin_map_url": "https://gender-api.com/en/map/37/3da90b0fe64e5102"
"credits_used": 2,
"duration": "165ms"
}
Responsvelden
| Veld | Type | Beschrijving |
|---|---|---|
name |
String | Ingevoerde naam in kleine letters |
name_sanitized |
String | De naam nadat we onze normalisator erop hebben toegepast |
gender |
String | Mogelijke waarden: male, female, unknown |
samples |
Integer | Aantal records in onze database dat overeenkomt met je verzoek |
accuracy |
Integer | Deze waarde bepaalt de betrouwbaarheid van onze database. Een waarde van 100 betekent dat de resultaten van je geslachtsverzoek 100% nauwkeurig zijn |
country_of_origin |
Array | Top 25 landen van herkomst. Zie "%sVolledige lijst van mogelijke landen%s" voor een lijst van ondersteunde landen |
country_of_origin_map_url |
String | Een link naar een kaart die het resultaat in een weergegeven vorm laat zien. De kaart kan gedurende 10 minuten worden bekeken. Bijvoorbeeld, je kunt deze kaart insluiten in je product door een iframe te gebruiken. |
duration |
String | Tijd die de server nodig had om het verzoek te verwerken |
credits_used |
Integer | Het aantal verzoeken dat voor deze query is gebruikt |
| Landcode | Landnaam | Statistische regio | Continentale regio |
|---|---|---|---|
| CN | China | Eastern Asia | Asia |
| IN | India | Southern Asia | Asia |
| US | United States | Northern America | Americas |
| ID | Indonesia | South-eastern Asia | Asia |
| BR | Brazil | South America | Americas |
| PK | Pakistan | Southern Asia | Asia |
| NG | Nigeria | Western Africa | Africa |
| BD | Bangladesh | Southern Asia | Asia |
| RU | Russia | Eastern Europe | Europe |
| MX | Mexico | Central America | Americas |
| JP | Japan | Eastern Asia | Asia |
| ET | Ethiopia | Eastern Africa | Africa |
| PH | Philippines | South-eastern Asia | Asia |
| EG | Egypt | Northern Africa | Africa |
| VN | Vietnam | South-eastern Asia | Asia |
| DE | Germany | Western Europe | Europe |
| CD | Democratic Republic of the Congo | Middle Africa | Africa |
| IR | Iran | Southern Asia | Asia |
| TR | Turkey | Western Asia | Asia |
| TH | Thailand | South-eastern Asia | Asia |
| GB | United Kingdom | Northern Europe | Europe |
| FR | France | Western Europe | Europe |
| IT | Italy | Southern Europe | Europe |
| TZ | Tanzania | Eastern Africa | Africa |
| ZA | South Africa | Southern Africa | Africa |
| MM | Myanmar | South-eastern Asia | Asia |
| KR | South Korea | Eastern Asia | Asia |
| CO | Colombia | South America | Americas |
| KE | Kenya | Eastern Africa | Africa |
| ES | Spain | Southern Europe | Europe |
| AR | Argentina | South America | Americas |
| UA | Ukraine | Eastern Europe | Europe |
| UG | Uganda | Eastern Africa | Africa |
| DZ | Algeria | Northern Africa | Africa |
| SD | Sudan | Northern Africa | Africa |
| IQ | Iraq | Western Asia | Asia |
| PL | Poland | Eastern Europe | Europe |
| CA | Canada | Northern America | Americas |
| MA | Morocco | Northern Africa | Africa |
| AF | Afghanistan | Southern Asia | Asia |
| SA | Saudi Arabia | Western Asia | Asia |
| PE | Peru | South America | Americas |
| VE | Venezuela | South America | Americas |
| UZ | Uzbekistan | Central Asia | Asia |
| MY | Malaysia | South-eastern Asia | Asia |
| AO | Angola | Middle Africa | Africa |
| MZ | Mozambique | Eastern Africa | Africa |
| NP | Nepal | Southern Asia | Asia |
| GH | Ghana | Western Africa | Africa |
| YE | Yemen | Western Asia | Asia |
| MG | Madagascar | Eastern Africa | Africa |
| KP | North Korea | Eastern Asia | Asia |
| AU | Australia | AustraliaandNew Zealand | Oceania |
| CI | Ivory Coast | Western Africa | Africa |
| CM | Cameroon | Middle Africa | Africa |
| TW | Taiwan | Eastern Asia | Asia |
| NE | Niger | Western Africa | Africa |
| LK | Sri Lanka | Southern Asia | Asia |
| RO | Romania | Eastern Europe | Europe |
| BF | Burkina Faso | Western Africa | Africa |
| MW | Malawi | Eastern Africa | Africa |
| ML | Mali | Western Africa | Africa |
| SY | Syria | Western Asia | Asia |
| KZ | Kazakhstan | Central Asia | Asia |
| CL | Chile | South America | Americas |
| ZM | Zambia | Eastern Africa | Africa |
| NL | Netherlands | Western Europe | Europe |
| GT | Guatemala | Central America | Americas |
| EC | Ecuador | South America | Americas |
| ZW | Zimbabwe | Eastern Africa | Africa |
| KH | Cambodia | South-eastern Asia | Asia |
| SN | Senegal | Western Africa | Africa |
| TD | Chad | Middle Africa | Africa |
| SO | Somalia | Eastern Africa | Africa |
| GN | Guinea | Western Africa | Africa |
| SD | Sudan | Northern Africa | Africa |
| RW | Rwanda | Eastern Africa | Africa |
| TN | Tunisia | Northern Africa | Africa |
| CU | Cuba | Caribbean | Americas |
| BE | Belgium | Western Europe | Europe |
| BJ | Benin | Western Africa | Africa |
| GR | Greece | Southern Europe | Europe |
| BO | Bolivia | South America | Americas |
| HT | Haiti | Caribbean | Americas |
| BI | Burundi | Eastern Africa | Africa |
| DO | Dominican Republic | Caribbean | Americas |
| CZ | Czech Republic | Eastern Europe | Europe |
| PT | Portugal | Southern Europe | Europe |
| SE | Sweden | Northern Europe | Europe |
| AZ | Azerbaijan | Western Asia | Asia |
| HU | Hungary | Eastern Europe | Europe |
| JO | Jordan | Western Asia | Asia |
| BY | Belarus | Eastern Europe | Europe |
| AE | United Arab Emirates | Western Asia | Asia |
| HN | Honduras | Central America | Americas |
| TJ | Tajikistan | Central Asia | Asia |
| RS | Serbia | Southern Europe | Europe |
| AT | Austria | Western Europe | Europe |
| CH | Switzerland | Western Europe | Europe |
| IL | Israel | Western Asia | Asia |
| PG | Papua New Guinea | Melanesia | Oceania |
| TG | Togo | Western Africa | Africa |
| SL | Sierra Leone | Western Africa | Africa |
| HK | Hong Kong | Eastern Asia | Asia |
| BG | Bulgaria | Eastern Europe | Europe |
| LA | Laos | South-eastern Asia | Asia |
| PY | Paraguay | South America | Americas |
| SV | El Salvador | Central America | Americas |
| LY | Libya | Northern Africa | Africa |
| NI | Nicaragua | Central America | Americas |
| LB | Lebanon | Western Asia | Asia |
| KG | Kyrgyzstan | Central Asia | Asia |
| TM | Turkmenistan | Central Asia | Asia |
| DK | Denmark | Northern Europe | Europe |
| SG | Singapore | South-eastern Asia | Asia |
| FI | Finland | Northern Europe | Europe |
| SK | Slovakia | Eastern Europe | Europe |
| NO | Norway | Northern Europe | Europe |
| CG | Congo | Middle Africa | Africa |
| ER | Eritrea | Eastern Africa | Africa |
| PS | Palestine | Western Asia | Asia |
| CR | Costa Rica | Central America | Americas |
| IE | Ireland | Northern Europe | Europe |
| LR | Liberia | Western Africa | Africa |
| NZ | New Zealand | AustraliaandNew Zealand | Oceania |
| CF | Central African Republic | Middle Africa | Africa |
| OM | Oman | Western Asia | Asia |
| MR | Mauritania | Western Africa | Africa |
| HR | Croatia | Southern Europe | Europe |
| KW | Kuwait | Western Asia | Asia |
| PA | Panama | Central America | Americas |
| MD | Moldova | Eastern Europe | Europe |
| GE | Georgia | Western Asia | Asia |
| PR | Puerto Rico | Caribbean | Americas |
| BA | Bosnia and Herzegovina | Southern Europe | Europe |
| UY | Uruguay | South America | Americas |
| MN | Mongolia | Eastern Asia | Asia |
| AM | Armenia | Western Asia | Asia |
| AL | Albania | Southern Europe | Europe |
| JM | Jamaica | Caribbean | Americas |
| LT | Lithuania | Northern Europe | Europe |
| QA | Qatar | Western Asia | Asia |
| NA | Namibia | Southern Africa | Africa |
| BW | Botswana | Southern Africa | Africa |
| LS | Lesotho | Southern Africa | Africa |
| GM | The Gambia | Western Africa | Africa |
| MK | Republic of Macedonia | Southern Europe | Europe |
| SI | Slovenia | Southern Europe | Europe |
| GA | Gabon | Middle Africa | Africa |
| LV | Latvia | Northern Europe | Europe |
| GW | Guinea-Bissau | Western Africa | Africa |
| BH | Bahrain | Western Asia | Asia |
| TT | Trinidad and Tobago | Caribbean | Americas |
| SZ | Swaziland | Southern Africa | Africa |
| EE | Estonia | Northern Europe | Europe |
| TL | East Timor | South-eastern Asia | Asia |
| GQ | Equatorial Guinea | Middle Africa | Africa |
| MU | Mauritius | Eastern Africa | Africa |
| CY | Cyprus | Western Asia | Asia |
| DJ | Djibouti | Eastern Africa | Africa |
| FJ | Fiji | Melanesia | Oceania |
| RE | Réunion | Eastern Africa | Africa |
| KM | Comoros | Eastern Africa | Africa |
| BT | Bhutan | Southern Asia | Asia |
| GY | Guyana | South America | Americas |
| ME | Montenegro | Southern Europe | Europe |
| MO | Macau | Eastern Asia | Asia |
| SB | Solomon Islands | Melanesia | Oceania |
| LU | Luxembourg | Western Europe | Europe |
| SR | Suriname | South America | Americas |
| EH | Western Sahara | Northern Africa | Africa |
| CV | Cape Verde | Western Africa | Africa |
| GP | Guadeloupe | Caribbean | Americas |
| MV | Maldives | Southern Asia | Asia |
| MT | Malta | Southern Europe | Europe |
| BN | Brunei | South-eastern Asia | Asia |
| BS | Bahamas | Caribbean | Americas |
| MQ | Martinique | Caribbean | Americas |
| BZ | Belize | Central America | Americas |
| IS | Iceland | Northern Europe | Europe |
| BB | Barbados | Caribbean | Americas |
| PF | French Polynesia | Polynesia | Oceania |
| GF | French Guiana | South America | Americas |
| NC | New Caledonia | Melanesia | Oceania |
| VU | Vanuatu | Melanesia | Oceania |
| YT | Mayotte | Eastern Africa | Africa |
| ST | Sao Tome and Principe | Middle Africa | Africa |
| WS | Samoa | Polynesia | Oceania |
| LC | Saint Lucia | Caribbean | Americas |
| JE | Guernsey and Jersey | Northern Europe | Europe |
| GU | Guam | Micronesia | Oceania |
| CW | Curaçao | Caribbean | Americas |
| KI | Kiribati | Micronesia | Oceania |
| VC | Saint Vincent and the Grenadines | Caribbean | Americas |
| TO | Tonga | Polynesia | Oceania |
| GD | Grenada | Caribbean | Americas |
| FM | Federated States of Micronesia | Micronesia | Oceania |
| AW | Aruba | Caribbean | Americas |
| VI | United States Virgin Islands | Caribbean | Americas |
| AG | Antigua and Barbuda | Caribbean | Americas |
| SC | Seychelles | Eastern Africa | Africa |
| IM | Isle of Man | Northern Europe | Europe |
| AD | Andorra | Southern Europe | Europe |
| DM | Dominica | Caribbean | Americas |
| KY | Cayman Islands | Caribbean | Americas |
| BM | Bermuda | Northern America | Americas |
| GL | Greenland | Northern America | Americas |
| AS | American Samoa | Polynesia | Oceania |
| KN | Saint Kitts and Nevis | Caribbean | Americas |
| MP | Northern Mariana Islands | Micronesia | Oceania |
| MH | Marshall Islands | Micronesia | Oceania |
| FO | Faroe Islands | Northern Europe | Europe |
| SX | Sint Maarten | Caribbean | Americas |
| MC | Monaco | Western Europe | Europe |
| LI | Liechtenstein | Western Europe | Europe |
| TC | Turks and Caicos Islands | Caribbean | Americas |
| GI | Gibraltar | Southern Europe | Europe |
| SM | San Marino | Southern Europe | Europe |
| VG | British Virgin Islands | Caribbean | Americas |
| BQ | Caribbean Netherlands | Caribbean | Americas |
| PW | Palau | Micronesia | Oceania |
| CK | Cook Islands | Polynesia | Oceania |
| AI | Anguilla | Caribbean | Americas |
| WF | Wallis and Futuna | Polynesia | Oceania |
| NR | Nauru | Micronesia | Oceania |
| TV | Tuvalu | Polynesia | Oceania |
| PM | Saint Pierre and Miquelon | Northern America | Americas |
| MS | Montserrat | Caribbean | Americas |
| SH | Saint Helena Ascension and Tristan da Cunha | Western Africa | Africa |
| FK | Falkland Islands | South America | Americas |
| NU | Niue | Polynesia | Oceania |
| TK | Tokelau | Polynesia | Oceania |
| VA | Vatican City | Southern Europe | Europe |
FOUTCODES
Respons
{"errno":30,"errmsg":"limit reached"}
| errno (Foutnummer) | errmsg (Foutmelding) | Beschrijving |
|---|---|---|
| 10 | invalid country code | Zie "Geldige landcodes" |
| 11 | number of country codes not equal to number of names | Het aantal namen komt niet overeen met het aantal landcodes |
| 20 | name not set | Er werd geen naam ontvangen door de server |
| 21 | too many names | Slechts 100 namen tegelijk toegestaan |
| 30 | limit reached | Verzoeklimiet bereikt |
| 40 | invalid or missing key | Je serverkey werd niet gevonden in onze database |
| 500 | unknown error | Interne serverfout |